Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class CachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass

Direct Known Subclasses:
  ArrayCachedClass, BooleanCachedClass, CachedClosureClass, CharacterCachedClass, NumberCachedClass, ObjectCachedClass, StringCachedClass

    public class CachedClass

extends Object

Author:
  Alex.Tkachman

Nested Class Summary
`static class` | `CachedClass.CachedMethodComparatorByName`
`static class` | `CachedClass.CachedMethodComparatorWithString`

Field Summary
`static CachedClass[]` | `EMPTY_ARRAY`
`boolean` | `isArray`
`boolean` | `isInterface`
`boolean` | `isNumber`
`boolean` | `isPrimitive`
`int` | `modifiers`
`CachedMethod[]` | `mopMethods`

Constructor Summary
`CachedClass(Class klazz)`

Method Summary
`void` | `box(BytecodeHelper helper)`
`Object` | `coerceArgument(Object argument)`
`void` | `doCast(BytecodeHelper helper)`
`CachedClass` | `getCachedSuperClass()` This can't be final because ReflectionClass has an inner class that extends CachedClass for java.lang.Object (ReflectionClass.OBJECT_CLASS) that returns null for this method.
`CachedConstructor[]` | `getConstructors()`
`CachedField[]` | `getFields()`
`Set` | `getInterfaces()`
`MetaClass` | `getMetaClassForClass()`
`CachedMethod[]` | `getMethods()`
`int` | `getModifiers()`
`String` | `getName()`
`MetaMethod[]` | `getNewMetaMethods()`
`Set` | `getOwnInterfaces()`
`Reflector` | `getReflector()`
`int` | `getSuperClassDistance()`
`Class` | `getTheClass()`
`String` | `getTypeDescription()`
`int` | `hashCode()`
`boolean` | `isAssignableFrom(Class argument)`
`boolean` | `isInterface()`
`boolean` | `isPrimitive()`
`boolean` | `isVoid()`
`CachedMethod` | `searchMethods(String name, CachedClass[] parameterTypes)`
`void` | `setMetaClassForClass(MetaClass metaClassForClass, boolean isConst)`
`void` | `setNewMopMethods(ArrayList arr)`
`void` | `setStaticMetaClassField(MetaClass mc)`
`String` | `toString()`
`void` | `unbox(BytecodeHelper helper)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### mopMethods

    public CachedMethod[] mopMethods

### EMPTY_ARRAY

    public static final CachedClass[] EMPTY_ARRAY

### isArray

    public final boolean isArray

### isPrimitive

    public final boolean isPrimitive

### modifiers

    public final int modifiers

### isInterface

    public final boolean isInterface

### isNumber

    public final boolean isNumber

Constructor Detail

### CachedClass

    public CachedClass(Class klazz)

Method Detail

### getInterfaces

    public Set getInterfaces()

### getOwnInterfaces

    public Set getOwnInterfaces()

### getCachedSuperClass

    public CachedClass getCachedSuperClass()

  This can't be final because ReflectionClass has an inner class that extends CachedClass for java.lang.Object (ReflectionClass.OBJECT_CLASS) that returns null for this method.

### getMethods

    public CachedMethod[] getMethods()

### getFields

    public CachedField[] getFields()

### getConstructors

    public CachedConstructor[] getConstructors()

### searchMethods

    public CachedMethod searchMethods(String name,
                                      CachedClass[] parameterTypes)

### getModifiers

    public final int getModifiers()

### coerceArgument

    public Object coerceArgument(Object argument)

### getSuperClassDistance

    public int getSuperClassDistance()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### isPrimitive

    public boolean isPrimitive()

### isVoid

    public boolean isVoid()

### box

    public void box(BytecodeHelper helper)

### unbox

    public void unbox(BytecodeHelper helper)

### isInterface

    public boolean isInterface()

### doCast

    public void doCast(BytecodeHelper helper)

### getName

    public String getName()

### getTypeDescription

    public String getTypeDescription()

### getReflector

    public Reflector getReflector()

### getTheClass

    public final Class getTheClass()

### getNewMetaMethods

    public MetaMethod[] getNewMetaMethods()

### setNewMopMethods

    public void setNewMopMethods(ArrayList arr)

### setStaticMetaClassField

    public void setStaticMetaClassField(MetaClass mc)

### getMetaClassForClass

    public MetaClass getMetaClassForClass()

### setMetaClassForClass

    public void setMetaClassForClass(MetaClass metaClassForClass,
                                     boolean isConst)

### isAssignableFrom

    public boolean isAssignableFrom(Class argument)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD